## spice-gtk 0.7

=== common/win/my_getopt-1.5/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# common/win/my_getopt-1.5/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/spice-gtk
pkgincludedir = $(includedir)/spice-gtk
pkglibdir = $(libdir)/spice-gtk
pkglibexecdir = $(libexecdir)/spice-gtk
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = common/win/my_getopt-1.5
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	ChangeLog
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/check_python.m4 \
	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
	$(top_srcdir)/m4/intltool.m4 $(top_srcdir)/m4/ld-version.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN   " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/elmarco/samba/spice/spice-gtk-linux/build-aux/missing --run aclocal-1.11
ALL_LINGUAS = 
AMTAR = ${SHELL} /home/elmarco/samba/spice/spice-gtk-linux/build-aux/missing --run tar
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /home/elmarco/samba/spice/spice-gtk-linux/build-aux/missing --run autoconf
AUTOHEADER = ${SHELL} /home/elmarco/samba/spice/spice-gtk-linux/build-aux/missing --run autoheader
AUTOMAKE = ${SHELL} /home/elmarco/samba/spice/spice-gtk-linux/build-aux/missing --run automake-1.11
AWK = gawk
CAIRO_CFLAGS = -pthread -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
CAIRO_LIBS = -lcairo  
CC = gcc -std=gnu99
CCDEPMODE = depmode=gcc3
CELT051_CFLAGS =  
CELT051_LIBDIR = 
CELT051_LIBS = -lcelt051 -lm  
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GETTEXT_MACRO_VERSION = 0.17
GETTEXT_PACKAGE = spice-gtk
GIO_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gio-unix-2.0/  
GIO_LIBS = -pthread -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  
GLIB2_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  
GLIB2_LIBS = -lglib-2.0  
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GOBJECT2_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  
GOBJECT2_LIBS = -pthread -lgobject-2.0 -lgthread-2.0 -lrt -lglib-2.0  
GOBJECT_INTROSPECTION_CFLAGS = -pthread -I/usr/include/gobject-introspection-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/libffi-3.0.9/include  
GOBJECT_INTROSPECTION_LIBS = -Wl,--export-dynamic -pthread -lgirepository-1.0 -lgobject-2.0 -lgmodule-2.0 -lffi -lgthread-2.0 -lrt -lglib-2.0  
GREP = /bin/grep
GST_CFLAGS = 
GST_LIBS = 
GTHREAD_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  
GTHREAD_LIBS = -pthread -lgthread-2.0 -lrt -lglib-2.0  
GTKDOC_CHECK = /usr/bin/gtkdoc-check
GTKDOC_MKPDF = /usr/bin/gtkdoc-mkpdf
GTKDOC_REBASE = /usr/bin/gtkdoc-rebase
GTK_API_VERSION = 2.0
GTK_CFLAGS = -pthread -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
GTK_LIBS = -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lpng12 -lm -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  
GTK_REQUIRED = 2.18.0
HTML_DIR = ${datadir}/gtk-doc/html
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTLTOOL_EXTRACT = /usr/bin/intltool-extract
INTLTOOL_MERGE = /usr/bin/intltool-merge
INTLTOOL_PERL = /usr/bin/perl
INTLTOOL_UPDATE = /usr/bin/intltool-update
INTL_MACOSX_LIBS = 
INTROSPECTION_CFLAGS = -pthread -I/usr/include/gobject-introspection-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/libffi-3.0.9/include  
INTROSPECTION_COMPILER = /usr/bin/g-ir-compiler
INTROSPECTION_GENERATE = /usr/bin/g-ir-generate
INTROSPECTION_GIRDIR = /usr/share/gir-1.0
INTROSPECTION_LIBS = -Wl,--export-dynamic -pthread -lgirepository-1.0 -lgobject-2.0 -lgmodule-2.0 -lffi -lgthread-2.0 -lrt -lglib-2.0  
INTROSPECTION_MAKEFILE = /usr/share/gobject-introspection-1.0/Makefile.introspection
INTROSPECTION_SCANNER = /usr/bin/g-ir-scanner
INTROSPECTION_TYPELIBDIR = /usr/lib64/girepository-1.0
JPEG_LIBS = -ljpeg
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBICONV = -liconv
LIBINTL = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
MAINT = 
MAKEINFO = ${SHELL} /home/elmarco/samba/spice/spice-gtk-linux/build-aux/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = spice-gtk
PACKAGE_BUGREPORT = spice-devel@lists.freedesktop.org
PACKAGE_NAME = spice-gtk
PACKAGE_STRING = spice-gtk 0.7
PACKAGE_TARNAME = spice-gtk
PACKAGE_URL = 
PACKAGE_VERSION = 0.7
PATH_SEPARATOR = :
PIXMAN_CFLAGS = -I/usr/include/pixman-1  
PIXMAN_LIBS = -lpixman-1  
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = /usr/local/lib64/pkgconfig:/usr/local/lib/pkgconfig:/usr/local/share/pkgconfig/:/usr/lib64/pkgconfig:/usr/lib/pkgconfig:/usr/share/pkgconfig/:
PNP_IDS = ${pnpdatadir}/pnp.ids
POSUB = po
PROTOCOL_CFLAGS = -I/usr/local/stow/spice-protocol/include/spice-1  
PROTOCOL_LIBS =  
PULSE_CFLAGS = -D_REENTRANT -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  
PULSE_LIBS = -lpulse-mainloop-glib -lpulse -lglib-2.0  
PYGTK_CFLAGS = -pthread -I/usr/include/pygtk-2.0 -I/usr/include/gtk-2.0 -I/usr/lib64/libffi-3.0.9/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
PYGTK_LIBS = -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lpng12 -lm -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  
PYTHON = /usr/bin/python2
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_INCLUDES = -I/usr/include/python2.7
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.7
RANLIB = ranlib
SASL_CFLAGS = 
SASL_LIBS =  -lsasl2
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
SMARTCARD_CFLAGS = -I/usr/include/cacard -I/usr/include/nss3 -I/usr/include/nspr4  
SMARTCARD_LIBS = -lcacard -lssl3 -lsmime3 -lnss3 -lnssutil3 -lplds4 -lplc4 -lnspr4 -lpthread -ldl  
SPICE_CFLAGS =   -Wall -Wno-sign-compare -Wno-deprecated-declarations -Werror
SPICE_COMMON_SRCDIR = $(top_srcdir)/common
SPICE_GLIB_CFLAGS = -I/usr/local/stow/spice-protocol/include/spice-1   -I/usr/include/pixman-1     -D_REENTRANT -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include    -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gio-unix-2.0/   -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include     
SPICE_GLIB_REQUIRES =  pixman-1 >= 0.17.7 celt051 >= 0.5.1.1 openssl
SPICE_GTK_API_VERSION = 2.0
SPICE_GTK_CFLAGS = -I/usr/local/stow/spice-protocol/include/spice-1   -I/usr/include/pixman-1     -D_REENTRANT -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include    -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gio-unix-2.0/   -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include      -pthread -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   
SPICE_GTK_LOCALEDIR = ${datarootdir}/locale
SPICE_GTK_REQUIRES =  gtk+-2.0 >= 2.18.0
SSL_CFLAGS =  
SSL_LIBS = -lssl -lcrypto -ldl -lz  
STRIP = strip
USE_NLS = yes
VALAC = 
VAPIDIR = ${datarootdir}/vala/vapi
VERSION = 0.7
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
XGETTEXT_EXTRA_OPTIONS = 
XRANDR_CFLAGS =  
XRANDR_LIBS = -lX11 -lXrandr  
Z_LIBS = -lz
abs_builddir = /home/elmarco/samba/spice/spice-gtk-linux/common/win/my_getopt-1.5
abs_srcdir = /home/elmarco/samba/spice/spice-gtk-linux/common/win/my_getopt-1.5
abs_top_builddir = /home/elmarco/samba/spice/spice-gtk-linux
abs_top_srcdir = /home/elmarco/samba/spice/spice-gtk-linux
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/elmarco/samba/spice/spice-gtk-linux/build-aux/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/spice-gtk
pkgpythondir = ${pythondir}/spice-gtk
prefix = /usr/local/stow/spice-gtk
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib64/python2.7/site-packages
pythondir = ${prefix}/lib/python2.7/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .

=== debian/changelog ===
spice-gtk (0.7-3) unstable; urgency=low

  * Enable introspection support
  * Don't lock into particular python version (Closes: #639936)
  * Add libpixman-1-dev, libspice-server-dev, libspice-protocol-dev
    and libssl-dev to libspice-client-glib-2.0-dev Depends (Closes: #640138)
  * Add libgtk2.0-dev and libspice-client-glib-2.0-dev to 
    libspice-client-gtk-2.0-dev Depends
  * Add libgtk-3-dev and libspice-client-glib-2.0-dev to 
    libspice-client-gtk-3.0-dev Depends (Closes: #640136)
  * Update debian/copyright fix some lintian warning
  * Use dh_python2 to handle python module (Closes: #644090)
  
 -- Liang Guo <bluestonechina@gmail.com>  Fri, 07 Oct 2011 22:25:53 +0800
  

spice-gtk (0.7-2) unstable; urgency=low

  * Rename snappy to spicy-snapshot (Closes: #637983)
  * Remove spice-protocol.vapi from libspice-client-gtk-2.0-dev 
    (Closes: #637982)
  * Check only versions start with number, ignore spice-gtk-LATEST.tar.bz2

 -- Liang Guo <bluestonechina@gmail.com>  Tue, 16 Aug 2011 18:24:32 +0800

spice-gtk (0.7-1) unstable; urgency=low

  * Initial release (Closes: #632866)

 -- Liang Guo <bluestonechina@gmail.com>  Sun, 14 Aug 2011 15:36:28 +0800

=== debian/control ===
Source: spice-gtk
Section: misc
Priority: optional
Maintainer: Liang Guo <bluestonechina@gmail.com>
Build-Depends: 
 debhelper (>= 8.0.0), 
 libspice-protocol-dev (>= 0.8.1), 
 libspice-server-dev,
 libpixman-1-dev (>= 0.17.7),
 libgtk2.0-dev,
 libgtk-3-dev,
 libglib2.0-dev (>= 2.22),
 libcairo2-dev (>= 1.2.0),
 libpulse-dev,
 python-all,
 python-gtk2-dev (>= 2.0.0),
 python-pyparsing,
 intltool,
 libsasl2-dev,
 libjpeg8-dev,
 gobject-introspection,
 libgirepository1.0-dev,
 gir1.2-gtk-2.0,
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://www.spice-space.org/
Vcs-Git: git://git.debian.org/collab-maint/spice-gtk.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/spice-gtk.git;a=summary

Package: spice-client-gtk
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple clients for interacting with SPICE servers
 Simple clients for interacting with SPICE servers. This package
 includes:
 .
 spicy - GTK+ based SPICE client tool
 snappy - SPICE screen-shot capture tool
 spicy-stats - SPICE connection details display tool

Package: libspice-client-glib-2.0-4
Section: libs
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GObject for communicating with Spice servers (runtime library)
 libspice-glib4 provides glib objects for spice protocol 
 decoding and surface rendering
 .
 This package provide the runtime library.

Package: gir1.2-spice-client-glib-2.0
Section: libs
Architecture: i386 amd64
Depends: ${misc:Depends}, ${gir:Depends}
Description: GObject for communicating with Spice servers (GObject-Introspection)
 libspice-glib4 provides glib objects for spice protocol
 decoding and surface rendering
 .
 This package contains the GObject-introspection data in binary typelib format.

Package: libspice-client-glib-2.0-dev
Section: libdevel
Architecture: i386 amd64
Depends: libspice-client-glib-2.0-4 (= ${binary:Version}), 
 gir1.2-spice-client-glib-2.0 (= ${binary:Version}), 
 libpixman-1-dev (>= 0.17.7),
 libspice-server-dev,
 libspice-protocol-dev,
 libssl-dev,
 ${misc:Depends}
Description: GObject for communicating with Spice servers (development files)
 libspice-glib4 provides glib objects for spice protocol 
 decoding and surface rendering
 .
 This package provide the development headers.

Package: libspice-client-gtk-2.0-1
Section: libs
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GTK2 widget for SPICE clients (runtime library)
 libspice-gtk2 provides gtk2 widget to show spice display 
 and accept user input.
 .
 This package provide the runtime library.

Package: gir1.2-spice-client-gtk-2.0
Section: libs
Architecture: i386 amd64
Depends: ${misc:Depends}, ${gir:Depends}
Description: GTK2 widget for SPICE clients (GObject-Introspection)
 libspice-gtk2 provides gtk2 widget to show spice display 
 and accept user input.
 .
 This package contains the GObject-introspection data in binary typelib format.

Package: libspice-client-gtk-2.0-dev
Section: libdevel
Architecture: i386 amd64
Depends: libspice-client-gtk-2.0-1 (= ${binary:Version}), 
 gir1.2-spice-client-gtk-2.0 (= ${binary:Version}), 
 libgtk2.0-dev (>= 2.18.0),
 libspice-client-glib-2.0-dev,
 ${misc:Depends}
Description: GTK2 widget for SPICE clients (development files)
 libspice-gtk2 provides gtk2 widget to show spice display 
 and accept user input.
 .
 This package provide the development headers.

Package: libspice-client-gtk-3.0-1
Section: libs
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GTK3 widget for SPICE clients (runtime library)
 libspice-gtk3 provides gtk3 widget to show spice display 
 and accept user input.
 .
 This package provide the runtime library.

Package: gir1.2-spice-client-gtk-3.0
Section: libs
Architecture: i386 amd64
Depends: ${misc:Depends}, ${gir:Depends}
Description: GTK3 widget for SPICE clients (GObject-Introspection)
 libspice-gtk3 provides gtk3 widget to show spice display 
 and accept user input.
 .
 This package contains the GObject-introspection data in binary typelib format.

Package: libspice-client-gtk-3.0-dev
Section: libdevel
Architecture: i386 amd64
Depends: libspice-client-gtk-3.0-1 (= ${binary:Version}), 
 gir1.2-spice-client-gtk-3.0 (= ${binary:Version}), 
 libgtk-3-dev (>= 2.91.3),
 libspice-client-glib-2.0-dev,
 ${misc:Depends}
Description: GTK3 widget for SPICE clients (development files)
 libspice-gtk3 provides gtk3 widget to show spice display 
 and accept user input.
 .
 This package provide the development headers.

Package: python-spice-client-gtk
Section: python
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: GTK2 widget for SPICE clients (Python binding)
 libspice-gtk2 provides gtk2 widget to show spice display
 and accept user input.
 .
 This package provide the Python binding.

=== debian/rules ===
#!/usr/bin/make -f
# spice-gtk debian/rules using debhelper
# Copyright (C) 2011 Liang Guo <bluestonechina@gmail.com>

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
  CXXFLAGS += -g
endif

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

#libspice_client_gtkinclude_HEADERS and libspice_client_glibinclude_HEADERS 
#should be copied to build directory, or build will fail.
 
build-arch: build
build-indep: build

build: build-stamp
build-stamp: build-gtk3-stamp build-gtk2-stamp
	touch build-stamp

build-gtk2-stamp:
	dh_auto_configure -- \
		--enable-smartcard=no --with-gtk=2.0 --disable-static \
		--enable-introspection
	dh_auto_build 
	touch build-gtk2-stamp

build-gtk3-stamp:
	dh_auto_configure -B$(CURDIR)/build-gtk3  -- \
		--enable-smartcard=no --with-gtk=3.0 --disable-static \
		--enable-introspection
	dh_auto_build -B$(CURDIR)/build-gtk3 -D$(CURDIR)
	touch build-gtk3-stamp

clean: clean-patched 
clean-patched: 
	dh_testdir
	dh_testroot
	[ ! -d $(CURDIR)/build-gtk3 ] || rm -rf $(CURDIR)/build-gtk3
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f po/Makefile ] || $(MAKE) -C po distclean
	[ ! -f common/Makefile ] || $(MAKE) -C common distclean
	[ ! -f gtk/Makefile ] || $(MAKE) -C gtk distclean
	[ ! -f python_modules/Makefile ] || $(MAKE) -C python_modules distclean
	-rm Makefile data/Makefile config.h config.log config.status \
		libtool spice-client-glib-2.0.pc spice-client-gtk-2.0.pc \
		spice-client-gtk-3.0.pc spice-controller.pc doc/Makefile \
		doc/reference/Makefile stamp-h1
	dh_clean 

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) -C $(CURDIR)/build-gtk3 install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	mv $(CURDIR)/debian/tmp/usr/bin/snappy $(CURDIR)/debian/tmp/usr/bin/spicy-snapshot
	dh_install --sourcedir=debian/tmp
	touch install-stamp

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs 
	dh_installexamples
	dh_installman
	dh_python2 --no-guessing-versions
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_girepository
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## spice-gtk 0.9

=== debian/changelog ===
spice-gtk (0.9-0ubuntu1) precise; urgency=low

  [ Jeremy Bicha ]
  * Pulled from Debian git repository
  * New upstream release.
    - add USB redirection support, see Hans comments in the log and that
      post for details: http://hansdegoede.livejournal.com/11084.html
    - introduce SpiceGtkSession to deal with session-wide Gtk events, such
      as clipboard, instead of doing it per display
    - many cursor and keyboard handling improvements
    - handle the new "semi-seamless" migration
    - support new Spice mini-headers
    - better coroutines: fibers on windows & jmp on linux
    - add Vala vapi bindings generation
    - Add command line options for setting the cache size and the glz
      window size
    - Add a USB device selection widget to libspice-client-gtk
    - many bug fixes and code improvements
  * Update symbols and bump libspice-client-glib-2.0 soname back to 1
  * Enable vala bindings
  * debian/control:
    - Build-depend on libusb-1.0, libgudev, valac and libvala-dev
    - Bump build-depends on spice-protocol to 0.10.1
  * debian/rules: Disable usbredir support since the library isn't in
    Debian yet
  
  [ Liang Guo ]
  * debian/copyright:
    - Add gtk/coroutine_winfibers.c
    - Add gtk/spice-client-glib-usb-acl-helper.c
    - Remove common/win/my_getopt-1.5/*, not in upstream any more
  * debian/rules:
    - Remove vapi/Makefile in clean target
  * debian/control:
    - Replace libspice-client-glib-2.0-4 with libspice-client-glib-2.0-1
  
 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Feb 2012 18:06:18 -0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,22 @@
 Source: spice-gtk
 Section: misc
 Priority: optional
-Maintainer: Liang Guo <bluestonechina@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Liang Guo <bluestonechina@gmail.com>
 Build-Depends: 
  debhelper (>= 8.0.0), 
- libspice-protocol-dev (>= 0.8.1), 
+ libspice-protocol-dev (>= 0.10.1), 
  libspice-server-dev,
  libpixman-1-dev (>= 0.17.7),
  libgtk2.0-dev,
  libgtk-3-dev,
  libglib2.0-dev (>= 2.22),
+ libgudev-1.0-dev,
  libcairo2-dev (>= 1.2.0),
  libpulse-dev,
+ libusb-1.0-0-dev,
+ valac-0.14,
+ libvala-0.14-dev,
  python-all,
  python-gtk2-dev (>= 2.0.0),
  python-pyparsing,
@@ -38,10 +43,12 @@
  snappy - SPICE screen-shot capture tool
  spicy-stats - SPICE connection details display tool
 
-Package: libspice-client-glib-2.0-4
+Package: libspice-client-glib-2.0-1
 Section: libs
 Architecture: i386 amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: libspice-client-glib-2.0-4
+Conflicts: libspice-client-glib-2.0-4
 Description: GObject for communicating with Spice servers (runtime library)
  libspice-glib4 provides glib objects for spice protocol 
  decoding and surface rendering
@@ -49,7 +56,7 @@
  This package provide the runtime library.
 
 Package: gir1.2-spice-client-glib-2.0
-Section: libs
+Section: introspection
 Architecture: i386 amd64
 Depends: ${misc:Depends}, ${gir:Depends}
 Description: GObject for communicating with Spice servers (GObject-Introspection)
@@ -61,7 +68,7 @@
 Package: libspice-client-glib-2.0-dev
 Section: libdevel
 Architecture: i386 amd64
-Depends: libspice-client-glib-2.0-4 (= ${binary:Version}), 
+Depends: libspice-client-glib-2.0-1 (= ${binary:Version}), 
  gir1.2-spice-client-glib-2.0 (= ${binary:Version}), 
  libpixman-1-dev (>= 0.17.7),
  libspice-server-dev,
@@ -85,7 +92,7 @@
  This package provide the runtime library.
 
 Package: gir1.2-spice-client-gtk-2.0
-Section: libs
+Section: introspection
 Architecture: i386 amd64
 Depends: ${misc:Depends}, ${gir:Depends}
 Description: GTK2 widget for SPICE clients (GObject-Introspection)
@@ -119,7 +126,7 @@
  This package provide the runtime library.
 
 Package: gir1.2-spice-client-gtk-3.0
-Section: libs
+Section: introspection
 Architecture: i386 amd64
 Depends: ${misc:Depends}, ${gir:Depends}
 Description: GTK3 widget for SPICE clients (GObject-Introspection)

=== debian/rules ===
--- 
+++ 
@@ -25,14 +25,14 @@
 build-gtk2-stamp:
 	dh_auto_configure -- \
 		--enable-smartcard=no --with-gtk=2.0 --disable-static \
-		--enable-introspection
+		--enable-introspection --enable-usbredir=no
 	dh_auto_build 
 	touch build-gtk2-stamp
 
 build-gtk3-stamp:
 	dh_auto_configure -B$(CURDIR)/build-gtk3  -- \
 		--enable-smartcard=no --with-gtk=3.0 --disable-static \
-		--enable-introspection
+		--enable-introspection --enable-vala --enable-usbredir=no
 	dh_auto_build -B$(CURDIR)/build-gtk3 -D$(CURDIR)
 	touch build-gtk3-stamp
 
@@ -49,7 +49,7 @@
 	-rm Makefile data/Makefile config.h config.log config.status \
 		libtool spice-client-glib-2.0.pc spice-client-gtk-2.0.pc \
 		spice-client-gtk-3.0.pc spice-controller.pc doc/Makefile \
-		doc/reference/Makefile stamp-h1
+		doc/reference/Makefile vapi/Makefile stamp-h1
 	dh_clean 
 
 install: install-stamp

## spice-gtk 0.12

=== debian/changelog ===
spice-gtk (0.12-5) unstable; urgency=high

  * Add patch clearenv-in-usb-acl-helper.patch (Closes: #689155)

 -- Liang Guo <guoliang@debian.org>  Mon, 01 Oct 2012 21:30:21 +0800

spice-gtk (0.12-4) unstable; urgency=low

  * Correct version problem in *.pc (Closes: #680290)

 -- Liang Guo <guoliang@debian.org>  Mon, 09 Jul 2012 00:36:14 +0800

spice-gtk (0.12-3) unstable; urgency=low

  * Add patch make-celt-to-be-optional.patch
  * Disable celt

 -- Liang Guo <guoliang@debian.org>  Fri, 29 Jun 2012 01:37:37 +0800

spice-gtk (0.12-2) unstable; urgency=low

  * Enable usb redirect (Closes: #677662)
  * Switch to vala 0.16 (Closes: #675665)
  * Enable multiarch for libspice-client-glib-2.0-1, 
    libspice-client-gtk-2.0-1, libspice-client-gtk-3.0-1
  * Build with hardening flags
  * Use dpkg-statoverride to handle setuid bits

 -- Liang Guo <guoliang@debian.org>  Fri, 25 May 2012 21:52:45 +0800

spice-gtk (0.12-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright, file moved
    - common -> spice-common/common
    - spice-protocol -> spice-common/spice-protocol
  * debian/patches:
    - Refresh debian/patches/remove-libjpeg-turbo-warning.patch
    - Add fix-parsing-uri-query.patch
    - Add fix-spice-audio-binding.patch
  * Refresh debian/libspice-client-glib-2.0-1.symbols, new function added

 -- Liang Guo <bluestonechina@gmail.com>  Thu, 03 May 2012 09:45:49 +0800

spice-gtk (0.11-1) unstable; urgency=low

  * New upstream release (Closes: #667569)
  * Update debian/copyright, new file added
  * Bump Standards-Version to 3.9.3, no changes needed
  * Refresh debian/libspice-client-glib-2.0-1.symbols
  * Update debian/rules, build spice-gtk in a subdirectory
  * Include missed .deps and .vapi files in libspice-client-gtk-2.0-dev
  * Add libtext-csv-perl to Build-Depends

 -- Liang Guo <bluestonechina@gmail.com>  Fri, 06 Apr 2012 21:22:13 +0800

spice-gtk (0.9-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release.
    - add USB redirection support, see Hans comments in the log and that
      post for details: http://hansdegoede.livejournal.com/11084.html
    - introduce SpiceGtkSession to deal with session-wide Gtk events, such
      as clipboard, instead of doing it per display
    - many cursor and keyboard handling improvements
    - handle the new "semi-seamless" migration
    - support new Spice mini-headers
    - better coroutines: fibers on windows & jmp on linux
    - add Vala vapi bindings generation
    - Add command line options for setting the cache size and the glz
      window size
    - Add a USB device selection widget to libspice-client-gtk
    - many bug fixes and code improvements
  * Update symbols and bump libspice-client-glib-2.0 soname back to 1
  * Enable vala bindings
  * debian/control:
    - Build-depend on libusb-1.0, libgudev, valac and libvala-dev
    - Bump build-depends on spice-protocol to 0.10.1
  * debian/rules: Disable usbredir support since the library isn't in
    Debian yet
  
  [ Liang Guo ]
  * debian/copyright:
    - Add gtk/coroutine_winfibers.c
    - Add gtk/spice-client-glib-usb-acl-helper.c
    - Remove common/win/my_getopt-1.5/*, not in upstream any more
  * debian/rules:
    - Remove vapi/Makefile in clean target
  * debian/control:
    - Replace libspice-client-glib-2.0-4 with libspice-client-glib-2.0-1
  
 -- Liang Guo <bluestonechina@gmail.com>  Wed, 01 Feb 2012 14:38:05 +0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: spice-gtk
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Liang Guo <bluestonechina@gmail.com>
+Maintainer: Liang Guo <guoliang@debian.org>
 Build-Depends: 
- debhelper (>= 8.0.0), 
+ debhelper (>= 9), 
  libspice-protocol-dev (>= 0.10.1), 
  libspice-server-dev,
  libpixman-1-dev (>= 0.17.7),
@@ -15,8 +14,8 @@
  libcairo2-dev (>= 1.2.0),
  libpulse-dev,
  libusb-1.0-0-dev,
- valac-0.14,
- libvala-0.14-dev,
+ valac-0.16,
+ libvala-0.16-dev,
  python-all,
  python-gtk2-dev (>= 2.0.0),
  python-pyparsing,
@@ -26,7 +25,13 @@
  gobject-introspection,
  libgirepository1.0-dev,
  gir1.2-gtk-2.0,
-Standards-Version: 3.9.2
+ libtext-csv-perl,
+ libusbredirhost-dev,
+ libacl1-dev,
+ libpolkit-agent-1-dev,
+ libpolkit-gobject-1-dev,
+ dpkg-dev (>= 1.16.1~),
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 Homepage: http://www.spice-space.org/
 Vcs-Git: git://git.debian.org/collab-maint/spice-gtk.git
@@ -46,6 +51,8 @@
 Package: libspice-client-glib-2.0-1
 Section: libs
 Architecture: i386 amd64
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libspice-client-glib-2.0-4
 Conflicts: libspice-client-glib-2.0-4
@@ -58,6 +65,7 @@
 Package: gir1.2-spice-client-glib-2.0
 Section: introspection
 Architecture: i386 amd64
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${gir:Depends}
 Description: GObject for communicating with Spice servers (GObject-Introspection)
  libspice-glib4 provides glib objects for spice protocol
@@ -84,6 +92,8 @@
 Package: libspice-client-gtk-2.0-1
 Section: libs
 Architecture: i386 amd64
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: GTK2 widget for SPICE clients (runtime library)
  libspice-gtk2 provides gtk2 widget to show spice display 
@@ -118,6 +128,8 @@
 Package: libspice-client-gtk-3.0-1
 Section: libs
 Architecture: i386 amd64
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: GTK3 widget for SPICE clients (runtime library)
  libspice-gtk3 provides gtk3 widget to show spice display

## spice-gtk 0.12.101

=== debian/changelog ===
spice-gtk (0.12.101-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * debian/patches:
    - fix-parsing-uri-query.patch: Dropped, applied in new version
    - fix-spice-audio-binding.patch: Dropped, applied in new version
    - make-celt-to-be-optional.patch: Refreshed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Aug 2012 08:37:57 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: spice-gtk
 Section: misc
 Priority: optional
-Maintainer: Liang Guo <guoliang@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Liang Guo <guoliang@debian.org>
 Build-Depends: 
  debhelper (>= 9), 
  libspice-protocol-dev (>= 0.10.1),

## spice-gtk 0.14

=== debian/changelog ===
spice-gtk (0.14-1) experimental; urgency=low

  * New upstream release
  * debian/patches:
    - Refresh make-celt-to-be-optional.patch
  * Refresh debian/*.symbols
  
 -- Liang Guo <guoliang@debian.org>  Wed, 10 Oct 2012 12:44:10 +0800
  

spice-gtk (0.13-1) experimental; urgency=low

  * New upstream release
  * debian/patches:
    - Remove fix-parsing-uri-query.patch, applied upstream
    - Remove fix-spice-audio-binding.patch, applied upstream
    - Refresh make-celt-to-be-optional.patch
  * Bump SONAME and package name
  * Refresh symbols

 -- Liang Guo <guoliang@debian.org>  Tue, 04 Sep 2012 14:15:17 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: spice-gtk
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Liang Guo <guoliang@debian.org>
+Maintainer: Liang Guo <guoliang@debian.org>
 Build-Depends: 
  debhelper (>= 9), 
  libspice-protocol-dev (>= 0.10.1), 
@@ -49,14 +48,14 @@
  snappy - SPICE screen-shot capture tool
  spicy-stats - SPICE connection details display tool
 
-Package: libspice-client-glib-2.0-1
+Package: libspice-client-glib-2.0-8
 Section: libs
 Architecture: i386 amd64
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libspice-client-glib-2.0-4
-Conflicts: libspice-client-glib-2.0-4
+Replaces: libspice-client-glib-2.0-4,libspice-client-glib-2.0-1
+Conflicts: libspice-client-glib-2.0-4,libspice-client-glib-2.0-1
 Description: GObject for communicating with Spice servers (runtime library)
  libspice-glib4 provides glib objects for spice protocol 
  decoding and surface rendering
@@ -77,7 +76,7 @@
 Package: libspice-client-glib-2.0-dev
 Section: libdevel
 Architecture: i386 amd64
-Depends: libspice-client-glib-2.0-1 (= ${binary:Version}), 
+Depends: libspice-client-glib-2.0-8 (= ${binary:Version}), 
  gir1.2-spice-client-glib-2.0 (= ${binary:Version}), 
  libpixman-1-dev (>= 0.17.7),
  libspice-server-dev,
@@ -90,10 +89,12 @@
  .
  This package provide the development headers.
 
-Package: libspice-client-gtk-2.0-1
+Package: libspice-client-gtk-2.0-4
 Section: libs
 Architecture: i386 amd64
 Multi-Arch: same
+Replaces: libspice-client-gtk-2.0-1
+Conflicts: libspice-client-gtk-2.0-1
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: GTK2 widget for SPICE clients (runtime library)
@@ -115,7 +116,7 @@
 Package: libspice-client-gtk-2.0-dev
 Section: libdevel
 Architecture: i386 amd64
-Depends: libspice-client-gtk-2.0-1 (= ${binary:Version}), 
+Depends: libspice-client-gtk-2.0-4 (= ${binary:Version}), 
  gir1.2-spice-client-gtk-2.0 (= ${binary:Version}), 
  libgtk2.0-dev (>= 2.18.0),
  libspice-client-glib-2.0-dev,
@@ -126,11 +127,13 @@
  .
  This package provide the development headers.
 
-Package: libspice-client-gtk-3.0-1
+Package: libspice-client-gtk-3.0-4
 Section: libs
 Architecture: i386 amd64
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
+Replaces: libspice-client-gtk-3.0-1
+Conflicts: libspice-client-gtk-3.0-1
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: GTK3 widget for SPICE clients (runtime library)
  libspice-gtk3 provides gtk3 widget to show spice display 
@@ -151,7 +154,7 @@
 Package: libspice-client-gtk-3.0-dev
 Section: libdevel
 Architecture: i386 amd64
-Depends: libspice-client-gtk-3.0-1 (= ${binary:Version}), 
+Depends: libspice-client-gtk-3.0-4 (= ${binary:Version}), 
  gir1.2-spice-client-gtk-3.0 (= ${binary:Version}), 
  libgtk-3-dev (>= 2.91.3),
  libspice-client-glib-2.0-dev,

=== debian/rules ===
#!/usr/bin/make -f
# spice-gtk debian/rules using debhelper
# Copyright (C) 2011 Liang Guo <bluestonechina@gmail.com>

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
  CXXFLAGS += -g
endif

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
 
build-arch: build
build-indep: build

build: build-stamp
build-stamp: build-gtk3-stamp build-gtk2-stamp
	touch build-stamp

build-gtk2-stamp:
	mkdir build-gtk2
	ls |grep -v debian|grep -v build-gtk2|grep -v build-gtk3|xargs -i cp -r {} build-gtk2/
	cp .version .tarball-version build-gtk2/
	cd build-gtk2 && autoreconf
	cd build-gtk2 && ./configure --prefix=/usr --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--enable-smartcard=no --with-gtk=2.0 --disable-static \
		--enable-introspection --enable-vala --enable-celt=no \
		--enable-usbredir=yes --enable-polkit=yes \
		--with-usb-acl-helper-dir=/usr/lib/$(DEB_HOST_MULTIARCH)/spice-gtk
	$(MAKE) -C build-gtk2
	touch build-gtk2-stamp

build-gtk3-stamp:
	mkdir build-gtk3
	ls |grep -v debian|grep -v build-gtk2|grep -v build-gtk3|xargs -i cp -r {} build-gtk3/
	cp .version .tarball-version build-gtk3/
	cd build-gtk3 && autoreconf
	cd build-gtk3 && ./configure --prefix=/usr --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--enable-smartcard=no --with-gtk=3.0 --disable-static \
		--enable-introspection --enable-vala --enable-celt=no \
		--enable-usbredir=yes --enable-polkit=yes \
		--with-usb-acl-helper-dir=/usr/lib/$(DEB_HOST_MULTIARCH)/spice-gtk
	$(MAKE) -C build-gtk3
	touch build-gtk3-stamp

clean: clean-patched 
clean-patched: 
	dh_testdir
	dh_testroot
	[ ! -d $(CURDIR)/build-gtk3 ] || rm -rf $(CURDIR)/build-gtk3
	[ ! -d $(CURDIR)/build-gtk2 ] || rm -rf $(CURDIR)/build-gtk2
	dh_clean 

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) -C $(CURDIR)/build-gtk3 install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C $(CURDIR)/build-gtk2 install DESTDIR=$(CURDIR)/debian/tmp
	mv $(CURDIR)/debian/tmp/usr/bin/snappy $(CURDIR)/debian/tmp/usr/bin/spicy-snapshot
	dh_install --sourcedir=debian/tmp
	touch install-stamp

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install  --list-missing
	dh_installchangelogs
	dh_installdocs 
	dh_installexamples
	dh_installman
	dh_python2 --no-guessing-versions
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_girepository
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## spice-gtk 0.18

=== debian/changelog ===
spice-gtk (0.18-0nocelt1exp) experimental; urgency=low

  * New upstream release (Closes: #700562)
  * Refresh debian/patches/make-celt-to-be-optional.patch
  * Refresh debian/libspice-client-glib-2.0-8.symbols

 -- Liang Guo <guoliang@debian.org>  Sat, 02 Mar 2013 08:34:12 +0800

spice-gtk (0.16-0nocelt1exp) experimental; urgency=low

  * New upstream release
  * Refresh debian/libspice-client-glib-2.0-8.symbols
  * Refresh debian/patches/make-celt-to-be-optional.patch

 -- Liang Guo <guoliang@debian.org>  Sat, 12 Jan 2013 20:17:31 +0800

## spice-gtk 0.19

=== debian/changelog ===
spice-gtk (0.19-0nocelt2) unstable; urgency=low

  * Upload to unstable
  * Remove clearenv-in-usb-acl-helper.patch, applied upstream
  * Switch from valac-0.16 to valac-0.18 (Closes: #707464)

 -- Liang Guo <guoliang@debian.org>  Sun, 12 May 2013 18:54:51 +0800

spice-gtk (0.19-0nocelt1exq) experimental; urgency=low

  * New upstream release
  * Rename spicy-snapshot to spicy-screenshot, upstream 
    had rename snappy to spicy-screenshot
  * Optimize debian/rules
  * Set spice-client-gtk depends on the same version of
    libspice-client-glib and libspice-client-gtk (Closes: #703413)
  * Set spice-client-gtk depends on libusbredirhost1 (>= 0.6)
  * Refresh libspice-client-glib-2.0-8.symbols

 -- Liang Guo <guoliang@debian.org>  Thu, 11 Apr 2013 23:30:35 +0800

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libcairo2-dev (>= 1.2.0),
  libpulse-dev,
  libusb-1.0-0-dev,
- valac-0.16,
+ valac-0.18,
  libvala-0.16-dev,
  python-all,
  python-gtk2-dev (>= 2.0.0),
@@ -26,7 +26,7 @@
  libgirepository1.0-dev,
  gir1.2-gtk-2.0,
  libtext-csv-perl,
- libusbredirhost-dev,
+ libusbredirhost-dev (>= 0.6),
  libacl1-dev,
  libpolkit-agent-1-dev,
  libpolkit-gobject-1-dev,
@@ -39,13 +39,17 @@
 
 Package: spice-client-gtk
 Architecture: i386 amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, 
+ libspice-client-glib-2.0-8 (= ${binary:Version}), 
+ libspice-client-gtk-2.0-4 (= ${binary:Version}),
+ libusbredirhost1 (>= 0.6),
+ libusbredirparser1 (>= 0.6)
 Description: Simple clients for interacting with SPICE servers
  Simple clients for interacting with SPICE servers. This package
  includes:
  .
  spicy - GTK+ based SPICE client tool
- snappy - SPICE screen-shot capture tool
+ spicy-screenshot - SPICE screen-shot capture tool
  spicy-stats - SPICE connection details display tool
 
 Package: libspice-client-glib-2.0-8

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,9 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
- 
+
+export VAPIGEN=/usr/bin/vapigen-0.18 
+export VALAC=/usr/bin/valac-0.18
 build-arch: build
 build-indep: build
 
@@ -26,7 +28,7 @@
 
 build-gtk2-stamp:
 	mkdir build-gtk2
-	ls |grep -v debian|grep -v build-gtk2|grep -v build-gtk3|xargs -i cp -r {} build-gtk2/
+	ls |egrep -v '(debian|build-gtk)'|xargs -i cp -r {} build-gtk2/
 	cp .version .tarball-version build-gtk2/
 	cd build-gtk2 && autoreconf
 	cd build-gtk2 && ./configure --prefix=/usr --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
@@ -39,7 +41,7 @@
 
 build-gtk3-stamp:
 	mkdir build-gtk3
-	ls |grep -v debian|grep -v build-gtk2|grep -v build-gtk3|xargs -i cp -r {} build-gtk3/
+	ls |egrep -v '(debian|build-gtk)'|xargs -i cp -r {} build-gtk3/
 	cp .version .tarball-version build-gtk3/
 	cd build-gtk3 && autoreconf
 	cd build-gtk3 && ./configure --prefix=/usr --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
@@ -66,7 +68,6 @@
 	dh_installdirs
 	$(MAKE) -C $(CURDIR)/build-gtk3 install DESTDIR=$(CURDIR)/debian/tmp
 	$(MAKE) -C $(CURDIR)/build-gtk2 install DESTDIR=$(CURDIR)/debian/tmp
-	mv $(CURDIR)/debian/tmp/usr/bin/snappy $(CURDIR)/debian/tmp/usr/bin/spicy-snapshot
 	dh_install --sourcedir=debian/tmp
 	touch install-stamp

## spice-gtk 0.20

=== debian/changelog ===
spice-gtk (0.20-0nocelt3) unstable; urgency=low

  * set spice-client-glib-usb-acl-helper replaces
    libspice-client-glib-2.0-8 too (Closes: #718962)

 -- Liang Guo <guoliang@debian.org>  Thu, 08 Aug 2013 00:18:19 +0800

spice-gtk (0.20-0nocelt2) unstable; urgency=low

  * set spice-client-glib-usb-acl-helper breaks 
    libspice-client-glib-2.0-8 (<< 0.20-0nocelt1) (Closes: #718962)
  * move libspice-client-glib-2.0-8.post* to
    spice-client-glib-usb-acl-helper.post* (Closes: #718964,#718986)

 -- Liang Guo <guoliang@debian.org>  Wed, 07 Aug 2013 22:04:28 +0800

spice-gtk (0.20-0nocelt1) unstable; urgency=low

  * New upstream release (Closes: 717718)
  * Remove depends on libvala-0.16-dev (Closes: 709694)
  * Bump Standards-Version to 3.9.4
  * debian/control:
    - Bump Standards-Version to 3.9.4 (no changes)
    - Update VCS-* to use canonical URIs
    - Remove conflicts on old ABI (Closes: 712587)
  * Refresh libspice-client-glib-2.0-8.symbols
  * debian/patches:
    - make-celt-to-be-optional.patch, refresh
    - add-spice_channel_string_to_type-to-map-files.patch, add 
  * Split usb acl helper to separate package (Closes: 704525)

 -- Liang Guo <guoliang@debian.org>  Sat, 03 Aug 2013 01:33:13 +0800

spice-gtk (0.19-0nocelt3) unstable; urgency=low

  * Switch from valac-0.18 to valac (>= 0.18) (Closes: #709036)

 -- Liang Guo <guoliang@debian.org>  Sun, 26 May 2013 13:10:16 +0800

=== debian/control ===
--- 
+++ 
@@ -14,14 +14,13 @@
  libcairo2-dev (>= 1.2.0),
  libpulse-dev,
  libusb-1.0-0-dev,
- valac-0.18,
- libvala-0.16-dev,
+ valac (>= 0.18),
  python-all,
  python-gtk2-dev (>= 2.0.0),
  python-pyparsing,
  intltool,
  libsasl2-dev,
- libjpeg8-dev,
+ libjpeg-dev,
  gobject-introspection,
  libgirepository1.0-dev,
  gir1.2-gtk-2.0,
@@ -31,11 +30,11 @@
  libpolkit-agent-1-dev,
  libpolkit-gobject-1-dev,
  dpkg-dev (>= 1.16.1~),
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
 Homepage: http://www.spice-space.org/
-Vcs-Git: git://git.debian.org/collab-maint/spice-gtk.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/spice-gtk.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/spice-gtk.git
+Vcs-Browser: http://anonscm.debian.org/git/collab-maint/spice-gtk.git
 
 Package: spice-client-gtk
 Architecture: i386 amd64
@@ -52,14 +51,22 @@
  spicy-screenshot - SPICE screen-shot capture tool
  spicy-stats - SPICE connection details display tool
 
+Package: spice-client-glib-usb-acl-helper
+Architecture: i386 amd64
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends},
+Replaces: libspice-client-glib-2.0-8 (<< 0.20-0nocelt1)
+Breaks: libspice-client-glib-2.0-8 (<< 0.20-0nocelt1)
+Description: Spice client glib usb acl helper 
+ spice-client-glib-usb-acl-helper is used to validate ACLs 
+ When passthrough USB devices to VMs
+
 Package: libspice-client-glib-2.0-8
 Section: libs
 Architecture: i386 amd64
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libspice-client-glib-2.0-4,libspice-client-glib-2.0-1
-Conflicts: libspice-client-glib-2.0-4,libspice-client-glib-2.0-1
+Depends: ${shlibs:Depends}, ${misc:Depends}, spice-client-glib-usb-acl-helper
 Description: GObject for communicating with Spice servers (runtime library)
  libspice-glib4 provides glib objects for spice protocol 
  decoding and surface rendering
@@ -97,8 +104,6 @@
 Section: libs
 Architecture: i386 amd64
 Multi-Arch: same
-Replaces: libspice-client-gtk-2.0-1
-Conflicts: libspice-client-gtk-2.0-1
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: GTK2 widget for SPICE clients (runtime library)
@@ -136,8 +141,6 @@
 Architecture: i386 amd64
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Replaces: libspice-client-gtk-3.0-1
-Conflicts: libspice-client-gtk-3.0-1
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: GTK3 widget for SPICE clients (runtime library)
  libspice-gtk3 provides gtk3 widget to show spice display

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,6 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-export VAPIGEN=/usr/bin/vapigen-0.18 
-export VALAC=/usr/bin/valac-0.18
 build-arch: build
 build-indep: build
 
@@ -35,7 +33,7 @@
 		--enable-smartcard=no --with-gtk=2.0 --disable-static \
 		--enable-introspection --enable-vala --enable-celt=no \
 		--enable-usbredir=yes --enable-polkit=yes \
-		--with-usb-acl-helper-dir=/usr/lib/$(DEB_HOST_MULTIARCH)/spice-gtk
+		--with-usb-acl-helper-dir=/usr/lib/spice-gtk
 	$(MAKE) -C build-gtk2
 	touch build-gtk2-stamp
 
@@ -48,7 +46,7 @@
 		--enable-smartcard=no --with-gtk=3.0 --disable-static \
 		--enable-introspection --enable-vala --enable-celt=no \
 		--enable-usbredir=yes --enable-polkit=yes \
-		--with-usb-acl-helper-dir=/usr/lib/$(DEB_HOST_MULTIARCH)/spice-gtk
+		--with-usb-acl-helper-dir=/usr/lib/spice-gtk
 	$(MAKE) -C build-gtk3
 	touch build-gtk3-stamp
